Sign inGet started

Team Management

GET
/workspaces/{workspaceId}/teams
Retrieve a list of teams within the workspace, showcasing their members count and other details.
Parametri di query
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
sortBy
string
Sort by field specified
Possible values: name
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.workspaceId
string
obbligatorio
results.name
string
obbligatorio
results.description
string
obbligatorio
results.visibility
string
obbligatorio
results.accessibility
string
results.activeMemberCount
integer
obbligatorio
results.pendingMemberCount
integer
obbligatorio
results.featuredMembers
array of object
obbligatorio
Mostra attributi secondari
results.featuredMembers.id
string
obbligatorio
results.featuredMembers.type
string
obbligatorio
results.hideFromViews
boolean
obbligatorio
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
nextPageToken
string
The token that can be passed as pageToken in URL to retrieve the next set of results. If missing, no more results to display.
total
integer
The total number of results across all pages.
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}
Retrieve information about a specific team within the workspace, including its name, and other details.
Payload della risposta
id
string
obbligatorio
workspaceId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
visibility
string
obbligatorio
accessibility
string
activeMemberCount
integer
obbligatorio
pendingMemberCount
integer
obbligatorio
featuredMembers
array of object
obbligatorio
Mostra attributi secondari
featuredMembers.id
string
obbligatorio
featuredMembers.type
string
obbligatorio
hideFromViews
boolean
obbligatorio
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams
Create a new team within the workspace, defining its name, and other relevant attributes.
Payload della richiesta
name
string
obbligatorio
description
string
hideFromViews
boolean
members
array of object
Mostra parametri secondari
members.id
string
obbligatorio
members.type
string
obbligatorio
Payload della risposta
id
string
obbligatorio
workspaceId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
visibility
string
obbligatorio
accessibility
string
activeMemberCount
integer
obbligatorio
pendingMemberCount
integer
obbligatorio
featuredMembers
array of object
obbligatorio
Mostra attributi secondari
featuredMembers.id
string
obbligatorio
featuredMembers.type
string
obbligatorio
hideFromViews
boolean
obbligatorio
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/workspaces/{workspaceId}/teams/{teamId}
Modify the details of a specific team within the workspace, such as its name, or other attributes.
Payload della richiesta
name
string
description
string
hideFromViews
boolean
Payload della risposta
id
string
obbligatorio
workspaceId
string
obbligatorio
name
string
obbligatorio
description
string
obbligatorio
visibility
string
obbligatorio
accessibility
string
activeMemberCount
integer
obbligatorio
pendingMemberCount
integer
obbligatorio
featuredMembers
array of object
obbligatorio
Mostra attributi secondari
featuredMembers.id
string
obbligatorio
featuredMembers.type
string
obbligatorio
hideFromViews
boolean
obbligatorio
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}
Remove a specific team from the workspace, permanently deleting its profile and associated data.
Esempio di codice
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members
Retrieve a list of members within the team, showcasing their names and other details.
Payload della risposta
results
array of object
obbligatorio
Mostra attributi secondari
results.id
string
obbligatorio
results.teamId
string
obbligatorio
results.type
string
obbligatorio
results.status
string
obbligatorio
results.createdAt
string
obbligatorio
results.updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/workspaces/{workspaceId}/teams/{teamId}/members
Add a new member to the team.
Payload della richiesta
id
string
obbligatorio
type
string
obbligatorio
Possible values: user
Payload della risposta
id
string
obbligatorio
teamId
string
obbligatorio
type
string
obbligatorio
status
string
obbligatorio
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Retrieve information about a specific member within the team, including their name and other details.
Payload della risposta
id
string
obbligatorio
teamId
string
obbligatorio
type
string
obbligatorio
status
string
obbligatorio
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}
Remove a specific member from the team.
Esempio di codice
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/teams/{teamId}/members/user/{teamMemberUserID}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'